# Class NullBehaviourObserver<R, L>

#### Type Parameters

- #### R

- #### L

#### Hierarchy

- NullBehaviourObserver

#### Implements

- StructureViewerBehaviourObserverInterface<R, L>

- Defined in src/RcsbFvStructure/StructureViewerBehaviour/NullBehaviour.ts:10

#####
Index

### Constructors

constructor

### Methods

observe
unsubscribe

## Constructors

### constructor

- new NullBehaviourObserver<R, L>(): NullBehaviourObserver<R, L>

- #### Type Parameters

  - #### R

  - #### L

  #### Returns NullBehaviourObserver<R, L>

## Methods

### observe

- observe(structureViewer, stateManager): void

- #### Parameters

  - ##### structureViewer: ViewerCallbackManagerInterface & ViewerActionManagerInterface<R, L>

  - ##### stateManager: RcsbFvStateInterface

  #### Returns void

  Implementation of StructureViewerBehaviourObserverInterface.observe

  - Defined in src/RcsbFvStructure/StructureViewerBehaviour/NullBehaviour.ts:12

### unsubscribe

- unsubscribe(): void

- #### Returns void

  Implementation of StructureViewerBehaviourObserverInterface.unsubscribe

  - Defined in src/RcsbFvStructure/StructureViewerBehaviour/NullBehaviour.ts:15

Generated using TypeDoc